export declare type MixJsonResult = {
    manifest: {
        app: string;
        version: string;
        elixir: string;
        start_permanent: boolean;
        deps: TopLevelDep[];
        description: string;
        package: any;
        name: string;
        module_name: string;
    };
    lock: [Lock];
};
declare type Lock = Record<DepName, [PackageManager, DepName, DepVersion, DepHash, [BuildTool], Dependency[], Repo, DepHash2]>;
export declare type LockDepMap = Record<DepName, LockDep>;
export declare type LockDepBase = {
    name: DepName;
    version: DepVersion;
    dependencies?: Dependency[];
};
declare type LockDep = LockDepBase & {
    packageManager: PackageManager;
    hash: DepHash;
    dependencies: Dependency[];
};
declare type Dependency = [DepName, DepVersionSpec, {
    hex: DepName;
    repo: Repo;
    optional: boolean;
}];
declare type PackageManager = 'hex';
declare type Compiler = 'mix' | 'rebar' | 'make';
declare type Manager = 'mix' | 'rebar' | 'rebar3' | 'make';
declare type BuildTool = 'mix';
declare type DepName = string;
declare type DepVersion = string;
declare type DepVersionSpec = string;
declare type DepHash = string;
declare type DepHash2 = string;
declare type Repo = 'hexpm';
declare type Environment = 'dev' | 'test' | 'prod';
declare type DependencyDefinitionOptions = {
    app?: false | 'read';
    env?: string;
    compile?: Compiler;
    optional?: boolean;
    only?: Environment | Environment[];
    override?: boolean;
    manager?: Manager;
    runtime?: boolean;
    system_env?: boolean;
};
declare type GitOptions = {
    git?: string;
    github?: string;
    ref?: string;
    branch?: string;
    tag?: string;
    submodules?: string;
    sparse?: string;
};
declare type PathOptions = {
    path?: string;
    in_umbrella?: boolean;
};
export declare type TopLevelDepOptions = DependencyDefinitionOptions & GitOptions & PathOptions;
declare type TopLevelDep = [DepName, DepVersionSpec?, TopLevelDepOptions?];
export {};
